%define debug_package %{nil}

%define prerelease 9f61d4554f6af00705c15714f4711f3019da7760
%define import_path github.com/docker/libtrust
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})

Summary:	Authentication and authorization library for Go
Name:		golang-libtrust
Version:	0.1.git%{shortcommit}
Release:	%mkrel 7
License:	Apache-2.0
Group:		Development/Other
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/testutil)
Provides:       golang(%{import_path}/tlsdemo)
Provides:       golang(%{import_path}/trustgraph)

%description
Libtrust is library for managing authentication and authorization using public key cryptography.

%prep
%setup -q -n libtrust-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
for d in . testutil tlsdemo trustgraph; do
    install -d -p %{buildroot}/%{gosrc}/$d
    cp -av $d/*.go %{buildroot}/%{gosrc}/$d
done
rm -f %{buildroot}%{gosrc}/{LICENSE,README.md}

%files
%doc LICENSE README.md
%dir %attr(755,root,root) %{gosrc}
%dir %attr(755,root,root) %{gosrc}/testutil
%dir %attr(755,root,root) %{gosrc}/tlsdemo
%dir %attr(755,root,root) %{gosrc}/trustgraph
%{gosrc}/*.go
%{gosrc}/*/*.go


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.1.git9f61d45-7.mga9
+ Revision: 1791909
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1.git9f61d45-6.mga8
+ Revision: 1512683
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.git9f61d45-5.mga7
+ Revision: 1298020
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.1.git9f61d45-4.mga6
+ Revision: 954172
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.git9f61d45-3.mga6
+ Revision: 893490
- disable debuginfo

* Wed Nov 19 2014 bcornec <bcornec> 0.1.git9f61d45-2.mga5
+ Revision: 797807
- Fix build which was missing subdir in delivery

* Wed Nov 19 2014 bcornec <bcornec> 0.1.git9f61d45-1.mga5
+ Revision: 797796
- Adding sha1
- Upload libtrust for docker-io
- Created package structure for golang-libtrust.

